Get Collection
curl --request GET \
--url https://api.supernotes.app/v1/collections/{collection_id} \
--header 'Api-Key: <api-key>'import requests
url = "https://api.supernotes.app/v1/collections/{collection_id}"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.supernotes.app/v1/collections/{collection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"spec": {},
"created_when": "2023-11-07T05:31:56Z",
"view": {
"sort_ascending": true,
"broadsheet_cols": 123,
"broadsheet_full_width": true,
"attempt_card_match": true,
"map_position": "<string>"
},
"order": "<string>",
"modified_when": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"detail": "<string>",
"status": 123
}Collections
Get Collection
Get the specified collection
GET
/
v1
/
collections
/
{collection_id}
Get Collection
Authorizations
Path Parameters
Response
Successful Response
- CollectionSpecReference
- CollectionSpecDefined
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum string length:
8⌘I